<!doctype html>
<html lang="it">
<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  
  <!-- Google Fonts -->
  <link href="https://fonts.googleapis.com/css2?family=Oswald:wght@400;500;600;700&family=Roboto:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap" rel="stylesheet"> 
  
  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
  
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css">
  
  <!-- slick carousel -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.css">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick-theme.css">
  
  
  <link rel="stylesheet" href="style.css">
  
  <title>Presto</title>
</head>
<body>
  
  <!-- NAVBAR -->
  <header>
    <nav id="navbar" class="navbar navbar-expand-lg fixed-top navbar-light bg-light">
      <a class="navbar-brand" href="index.html">
        <img src="./media/logo-primary.png" width="80">
      </a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      
      <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
          <li class="nav-item active">
            <a title="Home Page" class="nav-link" href="index.html">Home <span class="sr-only">(current)</span></a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Chi Siamo</a>
          </li>
          <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navCategorie" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
              Categorie
            </a>
            <div class="dropdown-menu" aria-labelledby="navCategorie">
              <a class="dropdown-item" href="prodotti.html">Automobili</a>
              <a class="dropdown-item" href="prodotti.html">Moto e Scooter</a>
              <a class="dropdown-item" href="prodotti.html">Immobili</a>
              <a class="dropdown-item" href="prodotti.html">Informatica</a>
              <a class="dropdown-item" href="prodotti.html">Elettronica</a>
            </div>
          </li>
          <li class="nav-item">
            <a class="nav-link " href="#" tabindex="-1">Contattaci</a>
          </li>
          <li class="nav-item">
            <a class="nav-link " href="#" tabindex="-1" data-toggle="modal" data-target="#loginWindow">Login/Registrazione</a>
          </li>
        </ul>
        <form class="form-inline my-2 my-lg-0">
          <input class="form-control mr-sm-2" type="search" placeholder="Cerca" aria-label="Cerca">
          <button class="btn btn-custom my-2 my-sm-0" type="submit"><i class="fas fa-search-plus"></i> Cerca</button>
        </form>
      </div>
    </nav>
  </header>
  
  <!-- ABOVE THE FOLD -->
  <section id="bg-home" class="shadow">
    <div class="container h-100">
      <div class="row justify-content-center align-items-center h-100">
        <div class="header-container col-12 p-lg-5 p-3">
          <h1>Presto!</h1>
          <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsum ratione sequi voluptatibus eum eligendi eos natus impedit consequuntur aspernatur excepturi. Dolor dignissimos aliquam, aut tempora repellat incidunt. Voluptas, porro odio?</p>
          <a class="btn btn-lg btn-custom my-5 my-sm-2 " href="profilo.html" title="Pubblica un nuovo annuncio">Comincia a Vendere</a>
        </div>
      </div>
    </div>
  </section>
  
  <!-- Compa e Vendi -->
  <section class="container my-5">
    <div class="row align-items-center">
      <div class="col-md-4">
        <img class="img-fluid rounded shadow mb-3" src="./media/people-smiling.jpg" alt="Compa e Vendi su Presto!">
      </div>
      <div class="col-md-8">
        <h2 class="">Compa e Vendi Presto! </h2>
        <p class="text-justify">Lorem ipsum dolor sit, amet consectetur adipisicing elit. Pariatur consectetur natus mollitia repellat dolorum illum quis voluptatem odit magni tenetur. Animi pariatur neque non, ut nemo molestiae qui ex deleniti.</p>
      </div>
    </div>
  </section>
  
  <!-- Comincia a Guadagnare -->
  <section class="container my-5">
    <div class="card mb-3">
      <div class="row no-gutters">
        <div class="col-md-8 my-auto">
          <div class="card-body">
            <h3 class="card-title">Comincia a Guadagnare</h3>
            <p class="secondary-text">Dai al tuo usato una seconda occasione: vendi quello che non usi più, subito.</p>                
            <a href="profilo.html" class="btn btn-custom my-2 my-sm-0" type="submit"><i class="far fa-plus-square"></i> Inserisci Annuncio</a>
          </div>
        </div>
        <div class="col-md-4">
          <img src="./media/online-selling.jpg" class="card-img" alt="Immagine" width="300">
        </div>    
      </div>
    </div>
  </section>
  
  
  <!-- CATEGORIE -->
  <section class="container my-5">
    <div id="categoryWrapper" class="row">
      <div class="col-12 text-center">
        <h2 class="mb-4">Esplora le nostre sezioni</h2>
      </div>
      
      <!--
        <div class="col-md-3">
          <div class="card text-white bg-primario mb-3 mx-auto">
            <div class="card-body">
              <h5 class="card-title text-center text-uppercase"><i class="fas fa-dolly-flatbed"></i> Elettronica</h5>
              <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              <a href="prodotti.html" class="btn btn-block btn-category">Cerca qui</a>
            </div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="card text-white bg-secondario mb-3 mx-auto" style="max-width: 18rem;">
            <div class="card-body">
              <h5 class="card-title text-center text-uppercase"><i class="fas fa-dolly-flatbed"></i> Categoria</h5>
              <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              <a href="prodotti.html" class="btn btn-block btn-category">Cerca qui</a>
            </div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="card text-white bg-terzo mb-3 mx-auto" style="max-width: 18rem;">
            <div class="card-body">
              <h5 class="card-title text-center text-uppercase"><i class="fas fa-dolly-flatbed"></i> Categoria</h5>
              <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              <a href="prodotti.html" class="btn btn-block btn-category">Cerca qui</a>
            </div>
          </div>
        </div>
        <div class="col-md-3">
          <div class="card text-white bg-info mb-3 mx-auto" style="max-width: 18rem;">
            <div class="card-body">
              <h5 class="card-title text-center text-uppercase"><i class="fas fa-dolly-flatbed"></i> Categoria</h5>
              <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
              <a href="prodotti.html" class="btn btn-block btn-category">Cerca qui</a>
            </div>
          </div>
        </div>
      -->
    </div>
  </section>
  
  <!-- Newsletter -->
  <section class="container-fluid my-5">
    <div id="particles-container" class="row position-relative align-content-center justify-content-center m-0">
      <div id="particles-js"></div>
      <div  class="col-10 col-md-8 col-lg-5 bg-light shadow border">
        <h2 class="text-center my-4">Iscriviti alla Newsletter</h2>
        <div class="input-group input-group-lg mb-3">
          <input type="email" class="form-control primary-text" placeholder="Inserisci qui la tua email" aria-label="Newsletter" aria-describedby="basic-addon2">
          <div class="input-group-append">
            <button class="btn btn-custom" type="button" id="button-addon2">Iscriviti</button>
          </div>
        </div>
      </div>
    </div>
  </section>
  
  <section class="container-fluid my-5">
    <div class="row my-5">
      <div class="col-12">
        <h2 class="text-center">Le Inserzioni più Viste</h2>
      </div>
      <div class="col-12 my-5">
        <div id="products-carousel">
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/monitor-pc.jpg"></div>
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/tablet.jpg"></div>
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/pc-gaming.jpg"></div>
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/monitor-pc-2.jpg"></div>
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/notebook.jpg"></div>
          <div class="px-2 px-md-3 px-lg-5"><img class="img-fluid" src="./media/products/monitor-pc-3.jpg"></div>
        </div>
      </div>
    </div>
  </section>
  
  <footer class="text-white">
    <div class="container-fluid p-3 p-md-5 bg-primario">
      <div class="row justify-content-between">
        <div class="col-md-4">
          <a href="#">
            <img class="mb-5" src="./media/logo-bianco.png" width="200">
          </a>
          <h2 class="h1">Presto.com</h2>
          <ul class="footer-info p-0 my-3">
            <li class="p-2">
              <i class="fa fa-home"></i> Lorem ipsum dolor sit amet consectetur adipisicing elit.
            </li>
            <li class="p-2">
              <i class="fa fa-envelope"></i> <a href="emailto:info@presto.com" title="Invia una mail">info@presto.com</a>
            </li>
            <li class="p-2">
              <i class="fa fa-phone"></i> <a href="tel:0123456789" title="Chiamaci">+39 012 3456789</a>
            </li>
          </ul>
        </div>
        <div class="col-md-4">
          <h3>Maggiori Brand</h3>
          <ul class="footer-info p-0 my-3">
            <li class="pb-3">
              <a href="#" title="Brands">Armani</a>
            </li>
            <li class="pb-3">
              <a href="#" title="Brands">Gucci</a>
            </li>
            <li class="pb-3">
              <a href="#" title="Brands">Divani & Divani</a>
            </li>
            <li class="pb-3">
              <a href="#" title="Brands">Durex</a>
            </li>
            <li class="pb-3">
              <a href="#" title="Brands">Mulino Bianco</a>
            </li>
          </ul>
        </div>
        <div class="col-md-4">
          <div class="row mb-3">
            <div class="col-12">
              <h3>Seguici</h3>
              <ul class="footer-info p-0 my-3">
                <li class="p-2">
                  <i class="fab fa-facebook"></i> <a href="#" title="Facebook">Facebook</a>
                </li>
                <li class="p-2">
                  <i class="fab fa-twitter"></i> <a href="#" title="Twitter">Twitter</a>
                </li>
                <li class="p-2">
                  <i class="fab fa-instagram"></i> <a href="#" title="Instagram">Instagram</a>
                </li>
              </ul>
            </div>
          </div>
          <h3>Pagamenti Sicuri</h3>
          <img class="luminosita" src="./media/paypal.png" title="Pagamenti sicuri" width="300">
        </div>
      </div>
    </div>
    <div class="container-fluid bg-nero">
      <div class="row">
        <div class="col-12 text-center p-3 my-2 small">
          <p>Presto&copy; - PI: 1234567890 - Tutte le bestemmie riservate</p>
          <p>Via di qua, 34 - 80059 - Torre del Greco (NA)</p>
        </div>
      </div>
    </div>
  </footer>
  
  
  <!-- FINESTRA MODALE LOGIN -->
  <div class="modal fade" id="loginWindow" tabindex="-1" aria-labelledby="loginWindowLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
      <div class="modal-content">
        
        <div class="modal-body">
          <div class="row">
            <div class="col-12 text-center">
              <a class="navbar-brand" href="#">
                <img src="./media/logo-primary.png" width="180">
              </a>
              <h3>Sei già iscritto?</h3>
            </div>
            <div class="col-12">
              <form>
                <div class="form-group">
                  <label for="emailLogin">Email</label>
                  <input type="email" class="form-control" id="emailLogin" aria-describedby="emailHelp">
                </div>
                <div class="form-group">
                  <label for="passwordLogin">Password</label>
                  <input type="password" class="form-control" id="passwordLogin">
                  <small id="emailHelp" class="form-text text-muted"><a href="#">Hai dimenticato la password?</a></small>
                </div>
                <div class="form-group form-check">
                  <input type="checkbox" class="form-check-input" id="exampleCheck1">
                  <label class="form-check-label" for="exampleCheck1">Resta Collegato</label>
                </div>
                <div class="form-group text-center">
                  <button type="button" class="btn btn-custom btn-lg">Entra</button> oppure
                  <a href="registrazione.html" class="btn btn-custom-2 btn-lg">Registrati</a>
                </div>
              </form>
            </div>
          </div>
        </div>
        
      </div>
    </div>
  </div>
  
  <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
  <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ho+j7jyWK8fNQe+A12Hb8AhRq26LrZ/JpcUGGOn+Y7RsweNrtN/tE3MoK7ZeZDyx" crossorigin="anonymous"></script>
  
  <!-- Carousel -->
  <script type="text/javascript" src="//code.jquery.com/jquery-migrate-1.2.1.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/slick-carousel/1.8.1/slick.min.js"></script>
  <script>
    $(document).ready(function(){
      $('#products-carousel').slick({
        dots: true,
        arrows: false,
        infinite: true,
        autoplay: true,
        autoplaySpeed: 3000,
        speed: 300,
        slidesToShow: 4,
        slidesToScroll: 4,
        responsive: [
        {
          breakpoint: 1024,
          settings: {
            slidesToShow: 3,
            slidesToScroll: 3,
            infinite: true,
            dots: true,
            arrows: false
          }
        },
        {
          breakpoint: 600,
          settings: {
            arrows: false,
            slidesToShow: 2,
            slidesToScroll: 2
          }
        },
        {
          breakpoint: 480,
          settings: {
            arrows: false,
            slidesToShow: 1,
            slidesToScroll: 1
          }
        }
        ]
      });
    });
  </script>
  
  <!-- Particles JS -->
  <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
  <script>
    particlesJS("particles-js", {
      "particles": {
        "number": {
          "value": 80,
          "density": {
            "enable": true,
            "value_area": 800
          }
        },
        "color": {
          "value": "#3f51b5"
        },
        "shape": {
          "type": "circle",
          "stroke": {
            "width": 0,
            "color": "#ffffff"
          },
          "polygon": {
            "nb_sides": 3
          },
          "image": {
            "src": "img/github.svg",
            "width": 100,
            "height": 100
          }
        },
        "opacity": {
          "value": 1,
          "random": false,
          "anim": {
            "enable": false,
            "speed": 1,
            "opacity_min": 0.1,
            "sync": false
          }
        },
        "size": {
          "value": 7.891600969088593,
          "random": true,
          "anim": {
            "enable": false,
            "speed": 40,
            "size_min": 0.1,
            "sync": false
          }
        },
        "line_linked": {
          "enable": true,
          "distance": 157.83201938177186,
          "color": "#a0a0a0",
          "opacity": 0.40247164942351826,
          "width": 1
        },
        "move": {
          "enable": true,
          "speed": 6,
          "direction": "none",
          "random": false,
          "straight": false,
          "out_mode": "out",
          "bounce": false,
          "attract": {
            "enable": false,
            "rotateX": 600,
            "rotateY": 1200
          }
        }
      },
      "interactivity": {
        "detect_on": "canvas",
        "events": {
          "onhover": {
            "enable": false,
            "mode": "repulse"
          },
          "onclick": {
            "enable": false,
            "mode": "push"
          },
          "resize": true
        },
        "modes": {
          "grab": {
            "distance": 400,
            "line_linked": {
              "opacity": 1
            }
          },
          "bubble": {
            "distance": 400,
            "size": 40,
            "duration": 2,
            "opacity": 8,
            "speed": 3
          },
          "repulse": {
            "distance": 200,
            "duration": 0.4
          },
          "push": {
            "particles_nb": 4
          },
          "remove": {
            "particles_nb": 2
          }
        }
      },
      "retina_detect": true
    })
  </script>
  
  <script src="script.js"></script>

  <!-- CATEGORIE ESEMPIO -->
  <script>
    fetch('products.json')
    .then(response => response.json())
    .then(data =>{
      let categorie = Array.from(new Set(data.map(el => el.categoria))).sort()
      
      let numCategorie = categorie.map(el => [el, data.filter(x => x.categoria == el).length])
      let bg = ['bg-info', 'bg-primario', 'bg-secondario', 'bg-terzo']
      let numBg = bg.length
      let index = 1

      numCategorie.forEach(el => {
        let col = document.createElement('div')
        col.classList.add('col-md-3')
        col.innerHTML = `
        <div class="card text-white ${bg[index % numBg]} mb-3 mx-auto">
          <div class="card-body">
            <h5 class="card-title text-center text-uppercase"><i class="fas fa-dolly-flatbed"></i> ${el[0]}</h5>
            <p class="card-text lead font-weight-bold">Numero di Annunci: ${el[1]}</p>
            <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
            <a href="prodotti.html" class="btn btn-block btn-category">Cerca qui</a>
          </div>
        </div>
        `
        document.querySelector('#categoryWrapper').appendChild(col)
        index++
      })
       console.log(numCategorie)
    })
  </script>
  
  
</body>
</html>